<!--.col-	.col-sm-	.col-md-	.col-lg-	.col-xl- -->
<div class="container">
{{#if videos}}
	<div class="card card-body">
		<h3 class="text-primary">Video Jots</h3>
		{{#each videos}}
			<div class="card border-primary mb-2 w-100 mx-auto">
				<div class="card-header">
					<h5 class="card-title">{{title}}</h5>
				</div>
				<div class="card-body">
					<div class="row">
						<div class="col-sm-12 col-md-12 col-lg-3">
							<p class="font-italic">Subtitles</p>
							<p class="text-info">{{subtitle}}</p>
						</div>
						<div class="col-sm-12 col-md-12 col-lg-3">
							<p class="font-italic">Language</p>
							<p class="text-info">{{language}}
							</p>
						</div>
						<div class="col-sm-12 col-md-12 col-lg-2">
							<p class="font-italic">Classification</p>
							<p class="text-info">{{classification}}</p>
						</div>
						<div class="col-sm-12 col-md-12 col-lg-2">
							<p class="font-italic">Date Release</p>
							<p class="text-info">{{format_date dateReleased 'YYYY-MM-DD'}}</p>
						</div>
						<div class="col-sm-12 col-md-12 col-lg-2">
							<p class="font-italic"></p>
							<a href="/video/update/{{uuid}}" class="card-link">
								<i class="fas fa-pencil-alt"></i>
								Edit
							</a>
							<form method="POST" action="/video/delete/{{uuid}}?_method=DELETE" id="toggle-delete-{{uuid}}">
								<a href="javascript:;" class="card-link btn-delete" onclick="if (confirm('Confirm delete?')) parentNode.submit();" data-title="Confirm delete?">
									<i class="far fa-trash-alt"></i>
									Delete
								</a>
							</form>
						</div>
					</div>
				</div>

				<div class="accordion" id="storyAccordion">
					<div class="card-header" id="heading-{{uuid}}">
						<button class="btn btn-link" type="button" data-toggle="collapse"
								data-target="#collapse-{{uuid}}"
								aria-expanded="false" aria-controls="collapse-{{uuid}}">
							Story<i class="fas fa-chevron-down"></i>
						</button>
					</div>

					<div id="collapse-{{uuid}}" class="collapse" aria-labelledby="heading-{{uuid}}"
						 data-parent="#storyAccordion">
						<div class="card-body">
						  {{story}}
						</div>
					</div>
				</div>
			</div>
		{{/each}}

		<!-- Page management -->
		<nav aria-label="Page navigation example">
			<ul class="pagination justify-content-center" >
				<li class="page-item {{#if (cmp_le pageIdx 1)}}disabled{{/if}}">
					<a class="page-link" href="?pageSize={{pageSize}}&page=1" tabindex="-1">
						<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24">
							<path d="M18.41 16.59L13.82 12l4.59-4.59L17 6l-6 6 6 6zM6 6h2v12H6z"/>
						</svg>
					</a>
				</li>
				
				<li class="page-item {{#if (cmp_le pageIdx 1)}}disabled{{/if}}" >
					<a aria-label="Previous" class="page-link" href="?pageSize={{pageSize}}&page={{op_sub pageIdx 1}}">
						<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24">
							<path d="M15.41 16.09l-4.58-4.59 4.58-4.59L14 5.5l-6 6 6 6z"/>
						</svg>
					</a>
				</li>

				<li class="page-item disabled">
					<a class="page-link" style="height: 100%; vertical-align: center;">{{pageIdx}} of {{pageTotal}}</a>
				</li>

				<li class="page-item {{#if (cmp_ge pageIdx pageTotal)}}disabled{{/if}}">
					<a aria-label="Next" class="page-link" href="?pageSize={{pageSize}}&page={{op_sum pageIdx 1}}">
						<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24">
							<path d="M8.59 16.34l4.58-4.59-4.58-4.59L10 5.75l6 6-6 6z"/>
						</svg>
					</a>
				</li>
				
				<li class="page-item {{#if (cmp_eq pageIdx pageTotal)}}disabled{{/if}}">
					<a class="page-link" href="?pageSize={{pageSize}}&page={{pageTotal}}" tabindex="-1">
						<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24">
							<path d="M5.59 7.41L10.18 12l-4.59 4.59L7 18l6-6-6-6zM16 6h2v12h-2z"/>
						</svg>
					</a>
				</li>
			</ul>
		</nav>

	</div>
</div>
{{else}}
	<h3>No videos jotted</h3>
{{/if}}